<CsoundSynthesizer>
<CsOptions>
</CsOptions>
<CsInstruments>

sr = 44100
ksmps = 64
0dbfs = 1
nchnls = 2

opcode modulate, a, akkkki
	ain, kfreq, kamp, ktype, kdelay, imaxtime xin
	if ktype == 0 then
		amod jspline kamp, kfreq, kfreq
	elseif ktype == 1 then
		amod poscil kamp, kfreq, 1
	elseif ktype == 2 then
		amod poscil kamp, kfreq, 2
	endif
		
	aout vdelay3 ain, kdelay *(1.00001 + amod), imaxtime
	xout aout
endop

instr 1  ; Inputs and control
	gainput inch 1
;	gainput diskin2 "file.wav", 1
	gkflutter_type invalue "flutter_type"
	gkflutter_freq invalue "flutter_freq"
	gkflutter_amt invalue "flutter_amt"
	gkdelay_adt invalue "delay_adt"
	gkwidth_adt invalue "width_adt"
	gkon_adt invalue "on_adt"
	gklevel_adt invalue "level_adt"
endin

instr 17 ; Phase inverted chorus
if gkon_adt == 1 then
	aflutter modulate gainput, gkflutter_freq, gkflutter_amt, gkflutter_type, gkdelay_adt, 100

	aout1 = (gainput + (aflutter*gkwidth_adt) )*gklevel_adt
	aout2 = (gainput - (aflutter*gkwidth_adt) )*gklevel_adt
else
	aout1 = gainput*gklevel_adt
	aout2 = gainput*gklevel_adt
endif
outch 1, aout1, 2, aout2
endin

</CsInstruments>
<CsScore>
f 1 0 4096 10 1
f 2 0 4096 7 0 1024 1 2048 -1 1024 0

i 1 0 3600
i 17 0 3600
</CsScore>
</CsoundSynthesizer><bsbPanel>
 <label>Widgets</label>
 <objectName/>
 <x>534</x>
 <y>236</y>
 <width>410</width>
 <height>469</height>
 <visible>true</visible>
 <uuid/>
 <bgcolor mode="background">
  <r>170</r>
  <g>170</g>
  <b>127</b>
 </bgcolor>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>12</x>
  <y>7</y>
  <width>380</width>
  <height>230</height>
  <uuid>{4c919985-3409-41f4-8fbb-43e8dfb20801}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>-3</midicc>
  <label>Inverted Chorus method</label>
  <alignment>center</alignment>
  <font>DejaVu Sans</font>
  <fontsize>18</fontsize>
  <precision>3</precision>
  <color>
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </color>
  <bgcolor mode="background">
   <r>129</r>
   <g>149</g>
   <b>91</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>5</borderradius>
  <borderwidth>3</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>37</x>
  <y>195</y>
  <width>80</width>
  <height>25</height>
  <uuid>{d4fdb81c-b8c8-4f79-bb49-d0cec19e5607}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>-3</midicc>
  <label>Enable</label>
  <alignment>left</alignment>
  <font>Lucida Grande</font>
  <fontsize>12</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBCheckBox">
  <objectName>on_adt</objectName>
  <x>22</x>
  <y>196</y>
  <width>20</width>
  <height>20</height>
  <uuid>{66b6c878-2a39-499a-b162-8761109dfc60}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>-3</midicc>
  <selected>true</selected>
  <label/>
  <pressedValue>1</pressedValue>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>195</x>
  <y>194</y>
  <width>80</width>
  <height>25</height>
  <uuid>{8c1b791e-f52f-4e26-ad46-b2efdb190286}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>-3</midicc>
  <label>ms</label>
  <alignment>left</alignment>
  <font>Lucida Grande</font>
  <fontsize>12</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>115</x>
  <y>154</y>
  <width>80</width>
  <height>25</height>
  <uuid>{248a562b-78f5-4645-ba0b-17cbbd43c077}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>-3</midicc>
  <label>Delay time</label>
  <alignment>left</alignment>
  <font>Lucida Grande</font>
  <fontsize>12</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBHSlider">
  <objectName>delay_adt</objectName>
  <x>20</x>
  <y>173</y>
  <width>278</width>
  <height>23</height>
  <uuid>{14814ddc-76ed-4069-a177-c2c1ee4a0e12}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <minimum>0.10000000</minimum>
  <maximum>15.00000000</maximum>
  <value>3.85179856</value>
  <mode>lin</mode>
  <mouseControl act="jump">continuous</mouseControl>
  <resolution>-1.00000000</resolution>
  <randomizable group="0">true</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBKnob">
  <objectName>level_adt</objectName>
  <x>302</x>
  <y>132</y>
  <width>74</width>
  <height>72</height>
  <uuid>{9a962245-1ac4-41bc-ac0e-2b08a18b5224}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>-3</midicc>
  <minimum>0.00000000</minimum>
  <maximum>1.00000000</maximum>
  <value>1.00000000</value>
  <mode>lin</mode>
  <mouseControl act="jump">continuous</mouseControl>
  <resolution>0.01000000</resolution>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>299</x>
  <y>202</y>
  <width>80</width>
  <height>25</height>
  <uuid>{c207900d-6fa8-426d-bd4f-1217f25145e4}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>-3</midicc>
  <label>Level</label>
  <alignment>center</alignment>
  <font>DejaVu Sans</font>
  <fontsize>12</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBDisplay">
  <objectName>delay_adt</objectName>
  <x>116</x>
  <y>194</y>
  <width>80</width>
  <height>30</height>
  <uuid>{6caa1418-616a-4041-93ae-fc464bfba6fb}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>-3</midicc>
  <label>3.852</label>
  <alignment>right</alignment>
  <font>DejaVu Sans</font>
  <fontsize>12</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBDropdown">
  <objectName>flutter_type</objectName>
  <x>119</x>
  <y>48</y>
  <width>118</width>
  <height>27</height>
  <uuid>{3a00cc5d-806e-41d1-b4f2-0f55622e6036}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>-3</midicc>
  <bsbDropdownItemList>
   <bsbDropdownItem>
    <name>Jitter</name>
    <value>0</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>Sine</name>
    <value>1</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>Triangle</name>
    <value>2</value>
    <stringvalue/>
   </bsbDropdownItem>
  </bsbDropdownItemList>
  <selectedIndex>0</selectedIndex>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>25</x>
  <y>49</y>
  <width>94</width>
  <height>26</height>
  <uuid>{f2a74696-1abd-4b36-94b8-b5df3d9b785b}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>-3</midicc>
  <label>Flutter type</label>
  <alignment>right</alignment>
  <font>DejaVu Sans</font>
  <fontsize>12</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>307</x>
  <y>107</y>
  <width>80</width>
  <height>25</height>
  <uuid>{7f331bb6-2f3c-4be6-961e-59976fdbd7ea}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>Amt</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>10</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>236</x>
  <y>108</y>
  <width>80</width>
  <height>25</height>
  <uuid>{482f57b8-b7ac-42a8-b0ac-b7b1507f4be0}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>Freq</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>10</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBDisplay">
  <objectName>flutter_amt</objectName>
  <x>305</x>
  <y>96</y>
  <width>80</width>
  <height>25</height>
  <uuid>{ead56c9a-8159-4ac6-9b5d-8203ffc7c5b3}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>-3</midicc>
  <label>0.007</label>
  <alignment>center</alignment>
  <font>DejaVu Sans</font>
  <fontsize>10</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBKnob">
  <objectName>flutter_amt</objectName>
  <x>320</x>
  <y>43</y>
  <width>54</width>
  <height>54</height>
  <uuid>{62c20684-1a6a-4347-a4fb-8f7331087aa9}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <minimum>0.00000000</minimum>
  <maximum>0.05000000</maximum>
  <value>0.00700000</value>
  <mode>lin</mode>
  <mouseControl act="jump">continuous</mouseControl>
  <resolution>0.01000000</resolution>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBDisplay">
  <objectName>flutter_freq</objectName>
  <x>236</x>
  <y>96</y>
  <width>80</width>
  <height>25</height>
  <uuid>{72b3b8e0-1bb4-435b-85e0-2a44620a8d3d}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>-3</midicc>
  <label>0.694</label>
  <alignment>center</alignment>
  <font>DejaVu Sans</font>
  <fontsize>10</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBKnob">
  <objectName>flutter_freq</objectName>
  <x>251</x>
  <y>43</y>
  <width>54</width>
  <height>54</height>
  <uuid>{b85bd444-14a6-459a-b44b-e2fe2f5425dd}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <minimum>0.10000000</minimum>
  <maximum>10.00000000</maximum>
  <value>0.69400000</value>
  <mode>lin</mode>
  <mouseControl act="jump">continuous</mouseControl>
  <resolution>0.01000000</resolution>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBScope">
  <objectName/>
  <x>94</x>
  <y>250</y>
  <width>228</width>
  <height>208</height>
  <uuid>{6f5c26b5-36c7-4f92-9bde-5ba4323e9a6d}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <value>-255.00000000</value>
  <type>lissajou</type>
  <zoomx>1.00000000</zoomx>
  <zoomy>1.00000000</zoomy>
  <dispx>1.00000000</dispx>
  <dispy>1.00000000</dispy>
  <mode>0.00000000</mode>
 </bsbObject>
 <bsbObject version="2" type="BSBKnob">
  <objectName>width_adt</objectName>
  <x>39</x>
  <y>85</y>
  <width>54</width>
  <height>54</height>
  <uuid>{7906270e-937d-4604-9be3-d652c982700d}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <minimum>0.00000000</minimum>
  <maximum>1.00000000</maximum>
  <value>0.77000000</value>
  <mode>lin</mode>
  <mouseControl act="jump">continuous</mouseControl>
  <resolution>0.01000000</resolution>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>26</x>
  <y>135</y>
  <width>80</width>
  <height>25</height>
  <uuid>{d591950e-a60e-4f4f-b9e5-7717f5cc305f}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>Width</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>10</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
</bsbPanel>
<bsbPresets>
</bsbPresets>
<MacOptions>
Version: 3
Render: Real
Ask: Yes
Functions: ioObject
Listing: Window
WindowBounds: 72 179 400 200
CurrentView: io
IOViewEdit: On
Options:
</MacOptions>

<MacGUI>
ioView background {43690, 43690, 32639}
ioText {12, 7} {380, 230} label 0.000000 0.00100 "" center "DejaVu Sans" 18 {65280, 65280, 65280} {33024, 38144, 23296} nobackground noborder Inverted Chorus method
ioText {37, 195} {80, 25} label 0.000000 0.00100 "" left "Lucida Grande" 12 {0, 0, 0} {63232, 62720, 61952} nobackground noborder Enable
ioCheckbox {22, 196} {20, 20} on on_adt
ioText {195, 194} {80, 25} label 0.000000 0.00100 "" left "Lucida Grande" 12 {0, 0, 0} {63232, 62720, 61952} nobackground noborder ms
ioText {115, 154} {80, 25} label 0.000000 0.00100 "" left "Lucida Grande" 12 {0, 0, 0} {63232, 62720, 61952} nobackground noborder Delay time
ioSlider {20, 173} {278, 23} 0.100000 15.000000 3.851799 delay_adt
ioKnob {302, 132} {74, 72} 1.000000 0.000000 0.010000 1.000000 level_adt
ioText {299, 202} {80, 25} label 0.000000 0.00100 "" center "DejaVu Sans" 12 {0, 0, 0} {63232, 62720, 61952} nobackground noborder Level
ioText {116, 194} {80, 30} display 3.851799 0.00100 "delay_adt" right "DejaVu Sans" 12 {0, 0, 0} {63232, 62720, 61952} nobackground noborder 3.852
ioMenu {119, 48} {118, 27} 0 303 "Jitter,Sine,Triangle" flutter_type
ioText {25, 49} {94, 26} label 0.000000 0.00100 "" right "DejaVu Sans" 12 {0, 0, 0} {63232, 62720, 61952} nobackground noborder Flutter type
ioText {307, 107} {80, 25} label 0.000000 0.00100 "" center "Arial" 10 {0, 0, 0} {63232, 62720, 61952} nobackground noborder Amt
ioText {236, 107} {80, 25} label 0.000000 0.00100 "" center "Arial" 10 {0, 0, 0} {63232, 62720, 61952} nobackground noborder Freq
ioText {305, 96} {80, 25} display 0.007000 0.00100 "flutter_amt" center "DejaVu Sans" 10 {0, 0, 0} {63232, 62720, 61952} nobackground noborder 0.007
ioKnob {320, 43} {54, 54} 0.050000 0.000000 0.010000 0.007000 flutter_amt
ioText {236, 96} {80, 25} display 0.694000 0.00100 "flutter_freq" center "DejaVu Sans" 10 {0, 0, 0} {63232, 62720, 61952} nobackground noborder 0.694
ioKnob {251, 43} {54, 54} 10.000000 0.100000 0.010000 0.694000 flutter_freq
ioGraph {94, 250} {228, 208} lissajou 1.000000 -255 
ioKnob {39, 85} {54, 54} 1.000000 0.000000 0.010000 0.770000 width_adt
ioText {26, 135} {80, 25} label 0.000000 0.00100 "" center "Arial" 10 {0, 0, 0} {63232, 62720, 61952} nobackground noborder Width
</MacGUI>
